Subject: I-D Action: draft-ietf-pce-pcep-extension-for-pce-controller-08.txt

From: [email-masked]
Date: Sun, 01 Nov 2020 09:07:55 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Path Computation Element WG of the IETF.

        Title           : PCEP Procedures and Protocol Extensions for Using PCE as a Central Controller (PCECC) of LSPs
        Authors         : Zhenbin Li
                          Shuping Peng
                          Mahendra Singh Negi
                          Quintin Zhao
                          Chao Zhou
	Filename        : draft-ietf-pce-pcep-extension-for-pce-controller-08.txt
	Pages           : 38
	Date            : 2020-11-01

Abstract:
   The Path Computation Element (PCE) is a core component of Software-
   Defined Networking (SDN) systems.  It can compute optimal paths for
   traffic across a network and can also update the paths to reflect
   changes in the network or traffic demands.

   PCE was developed to derive paths for MPLS Label Switched Paths
   (LSPs), which are supplied to the head end of the LSP using the Path
   Computation Element Communication Protocol (PCEP).  But SDN has a
   broader applicability than signaled MPLS and GMPLS traffic-engineered
   (TE) networks, and the PCE may be used to determine paths in a range
   of use cases.  PCEP has been proposed as a control protocol for use
   in these environments to allow the PCE to be fully enabled as a
   central controller.

   A PCE-based Central Controller (PCECC) can simplify the processing of
   a distributed control plane by blending it with elements of SDN and
   without necessarily completely replacing it.  Thus, the LSP can be
   calculated/set up/initiated and the label forwarding entries can also
   be downloaded through a centralized PCE server to each network device
   along the path, while leveraging the existing PCE technologies as
   much as possible.

   This document specifies the procedures and PCEP extensions for using
   the PCE as the central controller.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-pce-pcep-extension-for-pce-controller/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-pce-pcep-extension-for-pce-controller-08
https://datatracker.ietf.org/doc/html/draft-ietf-pce-pcep-extension-for-pce-controller-08

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-pce-pcep-extension-for-pce-controller-08

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/